********************************************************************************************
*****         Analyse des comportements en situation d'interactions sociales           *****
*****                  et son influence sur la propension  la coopration             *****
********************************************************************************************

cd "E:\Dropbox\Professionnel\03. Recherche\06. Prfrences sociales\04. RBFC"
*cd "D:\Dropbox\Professionnel\Recherche\2016\04. RBFC"

use "Donnees.dta", clear

desc
destring seuil q502 partq701 partq702 partq703 partq704 partq705 partq706 partq707 partq708 partq709 partq710 q801 q802 q803  q801m q802m q803m particip_01  contrgroup_01 contrgroup_02 contrgroup_03 ecart ecart_01 varicontri contri_01, replace
compress

order  num id session subject q502 seuil partq701 partq702 partq703 partq704 partq705 partq706 partq707 partq708 partq709 partq710 period q801 q802 q803 particip_01 q801m q802m q803m contrgroup_01 contrgroup_02 contrgroup_03 ecart ecart_01 varicontri contri_01

label variable num "Numero d'ordre"
label variable id "Identifiant de l'individu"
label variable session "Session"
label variable subject "Numero d'ordre de l'individu lors de la session"
label variable q502 "Niveau de partage de l'individu"
label variable seuil "Seuil d'acceptation dans le jeu de l'ultimatum"
label variable partq701 "Niveau de don reciproque intentionnel en cas de don de 10%"
label variable partq702 "Niveau de don reciproque intentionnel en cas de don de 20%"
label variable partq703 "Niveau de don reciproque intentionnel en cas de don de 30%"
label variable partq704 "Niveau de don reciproque intentionnel en cas de don de 40%"
label variable partq705 "Niveau de don reciproque intentionnel en cas de don de 50%"
label variable partq706 "Niveau de don reciproque intentionnel en cas de don de 60%"
label variable partq707 "Niveau de don reciproque intentionnel en cas de don de 70%"
label variable partq708 "Niveau de don reciproque intentionnel en cas de don de 80%"
label variable partq709 "Niveau de don reciproque intentionnel en cas de don de 90%"
label variable partq710 "Niveau de don reciproque intentionnel en cas de don de 100%"
label variable period "Periode du jeu"
label variable q801 "Contribution de l'individu dans le jeu du bien public"
label variable q802 "Contribution total du groupe de l'individu dans le jeu du bien public"
label variable q803 "Contribution moyenne des membres du groupe de l'individu dans le jeu du bien public"
label variable particip_01 "Participation de l'individu  la priode en objet"
label variable q801m "Contribution de l'individu dans le jeu du bien public"
label variable q802m "Contribution total du groupe de l'individu dans le jeu du bien public"
label variable q803m "Contribution moyenne des membres du groupe de l'individu dans le jeu du bien public"
label variable q700e " "
label variable nbreetape "Nombre d'etape du jeu du bien public"
label variable contrgroup_01 "Contribution moyenne des membres du groupe  l'etape precedente"
label variable contrgroup_02 "Contribution moyenne des membres du groupe  deux etapes avant"
label variable contrgroup_03 "Contribution moyenne des membres du groupe  trois etapes avant"
label variable ecart "Ecart de contribution par rapport au groupe"
label variable ecart_01 "Ecart de contribution par rapport au groupe  la priode precedente"
label variable varicontri "variation de la contribution par rapport  l'etape precedente"
label variable contri_01 "Niveau de contribution precedente"

gen VariContriplus=.
replace VariContriplus=varicontri if varicontri > 0 & varicontri !=.
replace VariContriplus= 0 if varicontri <=0 & varicontri !=.

gen VariContrimoins=.
replace VariContrimoins=-varicontri if varicontri < 0 & varicontri !=.
replace VariContrimoins= 0 if varicontri >=0 & varicontri !=.

gen VariContrizero=.
replace VariContrizero=1 if varicontri == 0 & varicontri !=.
replace VariContrizero= 0 if varicontri !=0 & varicontri !=.

gen Don=.
gen Retour=.
replace Don=10 if period==1
replace Retour=partq701 if period==1

replace Don=20 if period==2
replace Retour=partq702 if period==2

replace Don=30 if period==3
replace Retour=partq703 if period==3

replace Don=40 if period==4
replace Retour=partq704 if period==4

replace Don=50 if period==5
replace Retour=partq705 if period==5

replace Don=60 if period==6
replace Retour=partq706 if period==6

replace Don=70 if period==7
replace Retour=partq707 if period==7

replace Don=80 if period==8
replace Retour=partq708 if period==8

replace Don=90 if period==9
replace Retour=partq709 if period==9

replace Don=100 if period==10
replace Retour=partq710 if period==10

label variable Don "Niveau de don reu"
label variable Retour "Niveau de don reciproque promis"

save "Jeu Bien public.dta", replace

drop ErrEgo ProbaEgo
gen ErrEgo=((q502/100)^2+(seuil/100-0.10)^2+0.10*(partq701/100)^2+0.10*(partq702/100)^2+0.10*(partq703/100)^2+0.10*(partq704/100)^2+0.10*(partq705/100)^2+0.10*(partq706/100)^2+ /*
*/ 0.10*(partq707/100)^2+0.10*(partq708/100)^2+0.10*(partq709/100)^2+0.10*(partq710/100)^2)/3
*gen ProbaEgo=1/(1+exp(-ErrEgo/12))

egen ErrEgoMin=min(ErrEgo)
egen ErrEgoNax=max(ErrEgo)
gen ErrEgoNorm=(ErrEgo-ErrEgoMin)/(ErrEgoNax-ErrEgoMin)
drop ErrEgoMin ErrEgoNax

hist ErrEgo, kdensity
hist ErrEgoNorm, kdensity


drop ErrAI ProbaAI
gen ErrAI=((q502/100-0.50)^2+(min(0.50-seuil/100,0))^2+0.10*(partq701/100-2/3)^2+0.10*(partq702/100-2/3)^2+0.10*(partq703/100-2/3)^2+ /*
*/ 0.10*(partq704/100-2/3)^2+0.10*(partq705/100-2/3)^2+0.10*(partq706/100-2/3)^2+0.10*(partq707/100-2/3)^2+0.10*(partq708/100-2/3)^2+ /*
*/ 0.10*(partq709/100-2/3)^2+0.10*(partq710/100-2/3)^2)/3
*gen ProbaAI=1/(1+exp(-ErrAI/12))

egen ErrAIMin=min(ErrAI)
egen ErrAINax=max(ErrAI)
gen ErrAINorm=(ErrAI-ErrAIMin)/(ErrAINax-ErrAIMin)
drop ErrAIMin ErrAINax

hist ErrAINorm, kdensity

drop ErrAM ProbaAM ErrAMNorm
gen ErrAM=((1/(q502/100-1)-seuil/100)^2+/*
*/ 0.05*(partq701/100-10/3+(1/3)*(2*q502/100+1)/(2*q502/100-1))^2+0.05*(partq702/100-10/6+(1/3)*(2*q502/100+1)/(2*q502/100-1))^2+ /*
*/ 0.05*(partq703/100-10/6+(1/3)*(2*q502/100+1)/(2*q502/100-1))^2+ 0.05*(partq704/100-10/12+(1/3)*(2*q502/100+1)/(2*q502/100-1))^2+ /*
*/ 0.05*(partq705/100-10/15+(1/3)*(2*q502/100+1)/(2*q502/100-1))^2+ 0.05*(partq706/100+10/18-(1/3)*(2*q502/100+1)/(2*q502/100-1))^2+ /*
*/ 0.05*(partq707/100-10/21+(1/3)*(2*q502/100+1)/(2*q502/100-1))^2+ 0.05*(partq708/100-10/24+(1/3)*(2*q502/100+1)/(2*q502/100-1))^2+ /*
*/ 0.05*(partq709/100-10/27-(1/3)*(2*q502/100+1)/(2*q502/100-1))^2+ 0.05*(partq710/100-1/3-(1/3)*(2*q502/100+1)/(2*q502/100-1))^2+ /*
*/ 0.05*(partq701/100-10/3+(3*seuil/100+4)/(3*seuil/100))^2+0.05*(partq702/100-10/6+(3*seuil/100+4)/(3*seuil/100))^2+ /*
*/ 0.05*(partq703/100-10/9+(3*seuil/100+4)/(3*seuil/100))^2+0.05*(partq704/100-10/12+(3*seuil/100+4)/(3*seuil/100))^2+ /*
*/ 0.05*(partq705/100-10/15+(3*seuil/100+4)/(3*seuil/100))^2+0.05*(partq706/100-10/18+(3*seuil/100+4)/(3*seuil/100))^2+ /*
*/ 0.05*(partq707/100-10/21+(3*seuil/100+4)/(3*seuil/100))^2+0.05*(partq708/100-10/24+(3*seuil/100+4)/(3*seuil/100))^2+ /*
*/ 0.05*(partq709/100-10/27+(3*seuil/100+4)/(3*seuil/100))^2+0.05*(partq710/100-1/3+(3*seuil/100+4)/(3*seuil/100))^2)/2

replace ErrAM=((1/(q502/100-1)-seuil/100)^2+/*
*/ 0.05*(partq701/100-10/3+(1/3)*(2*q502/100+1)/(2*q502/100-1))^2+0.05*(partq702/100-10/6+(1/3)*(2*q502/100+1)/(2*q502/100-1))^2+ /*
*/ 0.05*(partq703/100-10/6+(1/3)*(2*q502/100+1)/(2*q502/100-1))^2+ 0.05*(partq704/100-10/12+(1/3)*(2*q502/100+1)/(2*q502/100-1))^2+ /*
*/ 0.05*(partq705/100-10/15+(1/3)*(2*q502/100+1)/(2*q502/100-1))^2+ 0.05*(partq706/100+10/18-(1/3)*(2*q502/100+1)/(2*q502/100-1))^2+ /*
*/ 0.05*(partq707/100-10/21+(1/3)*(2*q502/100+1)/(2*q502/100-1))^2+ 0.05*(partq708/100-10/24+(1/3)*(2*q502/100+1)/(2*q502/100-1))^2+ /*
*/ 0.05*(partq709/100-10/27-(1/3)*(2*q502/100+1)/(2*q502/100-1))^2+ 0.05*(partq710/100-1/3-(1/3)*(2*q502/100+1)/(2*q502/100-1))^2+ /*
*/ 0.05*(partq701/100-10/3+(3*0.001+4)/(3*0.001))^2+0.05*(partq702/100-10/6+(3*0.001+4)/(3*0.001))^2+ /*
*/ 0.05*(partq703/100-10/9+(3*0.001+4)/(3*0.001))^2+0.05*(partq704/100-10/12+(3*0.001+4)/(3*0.001))^2+ /*
*/ 0.05*(partq705/100-10/15+(3*0.001+4)/(3*0.001))^2+0.05*(partq706/100-10/18+(3*0.001+4)/(3*0.001))^2+ /*
*/ 0.05*(partq707/100-10/21+(3*0.001+4)/(3*0.001))^2+0.05*(partq708/100-10/24+(3*0.001+4)/(3*0.001))^2+ /*
*/ 0.05*(partq709/100-10/27+(3*0.001+4)/(3*0.001))^2+0.05*(partq710/100-1/3+(3*0.001+4)/(3*0.001))^2)/2 if seuil==0 & ErrAM==.

replace ErrAM=((1/(q502/100-1)-seuil/100)^2+/*
*/ 0.05*(partq701/100-10/3+(1/3)*(2*0.001+1)/(2*0.001-1))^2+0.05*(partq702/100-10/6+(1/3)*(2*0.001+1)/(2*0.001-1))^2+ /*
*/ 0.05*(partq703/100-10/6+(1/3)*(2*0.001+1)/(2*0.001-1))^2+ 0.05*(partq704/100-10/12+(1/3)*(2*0.001+1)/(2*0.001-1))^2+ /*
*/ 0.05*(partq705/100-10/15+(1/3)*(2*0.001+1)/(2*0.001-1))^2+ 0.05*(partq706/100+10/18-(1/3)*(2*0.001+1)/(2*0.001-1))^2+ /*
*/ 0.05*(partq707/100-10/21+(1/3)*(2*0.001+1)/(2*0.001-1))^2+ 0.05*(partq708/100-10/24+(1/3)*(2*0.001+1)/(2*0.001-1))^2+ /*
*/ 0.05*(partq709/100-10/27-(1/3)*(2*0.001+1)/(2*0.001-1))^2+ 0.05*(partq710/100-1/3-(1/3)*(2*0.001+1)/(2*0.001-1))^2+ /*
*/ 0.05*(partq701/100-10/3+(3*seuil/100+4)/(3*seuil/100))^2+0.05*(partq702/100-10/6+(3*seuil/100+4)/(3*seuil/100))^2+ /*
*/ 0.05*(partq703/100-10/9+(3*seuil/100+4)/(3*seuil/100))^2+0.05*(partq704/100-10/12+(3*seuil/100+4)/(3*seuil/100))^2+ /*
*/ 0.05*(partq705/100-10/15+(3*seuil/100+4)/(3*seuil/100))^2+0.05*(partq706/100-10/18+(3*seuil/100+4)/(3*seuil/100))^2+ /*
*/ 0.05*(partq707/100-10/21+(3*seuil/100+4)/(3*seuil/100))^2+0.05*(partq708/100-10/24+(3*seuil/100+4)/(3*seuil/100))^2+ /*
*/ 0.05*(partq709/100-10/27+(3*seuil/100+4)/(3*seuil/100))^2+0.05*(partq710/100-1/3+(3*seuil/100+4)/(3*seuil/100))^2)/2 if q502==0 & ErrAM==.

replace ErrAM=((1/(q502/100-1)-seuil/100)^2+/*
*/ 0.05*(partq701/100-10/3+(1/3)*(2*0.001+1)/(2*0.001-1))^2+0.05*(partq702/100-10/6+(1/3)*(2*0.001+1)/(2*0.001-1))^2+ /*
*/ 0.05*(partq703/100-10/6+(1/3)*(2*0.001+1)/(2*0.001-1))^2+ 0.05*(partq704/100-10/12+(1/3)*(2*0.001+1)/(2*0.001-1))^2+ /*
*/ 0.05*(partq705/100-10/15+(1/3)*(2*0.001+1)/(2*0.001-1))^2+ 0.05*(partq706/100+10/18-(1/3)*(2*0.001+1)/(2*0.001-1))^2+ /*
*/ 0.05*(partq707/100-10/21+(1/3)*(2*0.001+1)/(2*0.001-1))^2+ 0.05*(partq708/100-10/24+(1/3)*(2*0.001+1)/(2*0.001-1))^2+ /*
*/ 0.05*(partq709/100-10/27-(1/3)*(2*0.001+1)/(2*0.001-1))^2+ 0.05*(partq710/100-1/3-(1/3)*(2*0.001+1)/(2*0.001-1))^2+ /*
*/ 0.05*(partq701/100-10/3+(3*0.001+4)/(3*0.001))^2+0.05*(partq702/100-10/6+(3*0.001+4)/(3*0.001))^2+ /*
*/ 0.05*(partq703/100-10/9+(3*0.001+4)/(3*0.001))^2+0.05*(partq704/100-10/12+(3*0.001+4)/(3*0.001))^2+ /*
*/ 0.05*(partq705/100-10/15+(3*0.001+4)/(3*0.001))^2+0.05*(partq706/100-10/18+(3*0.001+4)/(3*0.001))^2+ /*
*/ 0.05*(partq707/100-10/21+(3*0.001+4)/(3*0.001))^2+0.05*(partq708/100-10/24+(3*0.001+4)/(3*0.001))^2+ /*
*/ 0.05*(partq709/100-10/27+(3*0.001+4)/(3*0.001))^2+0.05*(partq710/100-1/3+(3*0.001+4)/(3*0.001))^2)/2 if q502==0 & seuil==0 & ErrAM==.
*gen ProbaAM=1/(1+exp(-ErrAM/21))

replace ErrAM=((1/(q502/100-1)-seuil/100)^2+/*
*/ 0.05*(partq701/100-10/3+(1/3)*(2*50.001/100+1)/(2*50.001/100-1))^2+0.05*(partq702/100-10/6+(1/3)*(2*50.001/100+1)/(2*50.001/100-1))^2+ /*
*/ 0.05*(partq703/100-10/6+(1/3)*(2*50.001/100+1)/(2*50.001/100-1))^2+ 0.05*(partq704/100-10/12+(1/3)*(2*50.001/100+1)/(2*50.001/100-1))^2+ /*
*/ 0.05*(partq705/100-10/15+(1/3)*(2*50.001/100+1)/(2*50.001/100-1))^2+ 0.05*(partq706/100+10/18-(1/3)*(2*50.001/100+1)/(2*50.001/100-1))^2+ /*
*/ 0.05*(partq707/100-10/21+(1/3)*(2*50.001/100+1)/(2*50.001/100-1))^2+ 0.05*(partq708/100-10/24+(1/3)*(2*50.001/100+1)/(2*50.001/100-1))^2+ /*
*/ 0.05*(partq709/100-10/27-(1/3)*(2*50.001/100+1)/(2*50.001/100-1))^2+ 0.05*(partq710/100-1/3-(1/3)*(2*50.001/100+1)/(2*50.001/100-1))^2+ /*
*/ 0.05*(partq701/100-10/3+(3*seuil/100+4)/(3*seuil/100))^2+0.05*(partq702/100-10/6+(3*seuil/100+4)/(3*seuil/100))^2+ /*
*/ 0.05*(partq703/100-10/9+(3*seuil/100+4)/(3*seuil/100))^2+0.05*(partq704/100-10/12+(3*seuil/100+4)/(3*seuil/100))^2+ /*
*/ 0.05*(partq705/100-10/15+(3*seuil/100+4)/(3*seuil/100))^2+0.05*(partq706/100-10/18+(3*seuil/100+4)/(3*seuil/100))^2+ /*
*/ 0.05*(partq707/100-10/21+(3*seuil/100+4)/(3*seuil/100))^2+0.05*(partq708/100-10/24+(3*seuil/100+4)/(3*seuil/100))^2+ /*
*/ 0.05*(partq709/100-10/27+(3*seuil/100+4)/(3*seuil/100))^2+0.05*(partq710/100-1/3+(3*seuil/100+4)/(3*seuil/100))^2)/2 if q502==50 & ErrAM==.

replace ErrAM=((1/(q502/100-1)-seuil/100)^2+/*
*/ 0.05*(partq701/100-10/3+(1/3)*(2*50.001/100+1)/(2*50.001/100-1))^2+0.05*(partq702/100-10/6+(1/3)*(2*50.001/100+1)/(2*50.001/100-1))^2+ /*
*/ 0.05*(partq703/100-10/6+(1/3)*(2*50.001/100+1)/(2*50.001/100-1))^2+ 0.05*(partq704/100-10/12+(1/3)*(2*50.001/100+1)/(2*50.001/100-1))^2+ /*
*/ 0.05*(partq705/100-10/15+(1/3)*(2*50.001/100+1)/(2*50.001/100-1))^2+ 0.05*(partq706/100+10/18-(1/3)*(2*50.001/100+1)/(2*50.001/100-1))^2+ /*
*/ 0.05*(partq707/100-10/21+(1/3)*(2*50.001/100+1)/(2*50.001/100-1))^2+ 0.05*(partq708/100-10/24+(1/3)*(2*50.001/100+1)/(2*50.001/100-1))^2+ /*
*/ 0.05*(partq709/100-10/27-(1/3)*(2*50.001/100+1)/(2*50.001/100-1))^2+ 0.05*(partq710/100-1/3-(1/3)*(2*50.001/100+1)/(2*50.001/100-1))^2+ /*
*/ 0.05*(partq701/100-10/3+(3*0.001+4)/(3*0.001))^2+0.05*(partq702/100-10/6+(3*0.001+4)/(3*0.001))^2+ /*
*/ 0.05*(partq703/100-10/9+(3*0.001+4)/(3*0.001))^2+0.05*(partq704/100-10/12+(3*0.001+4)/(3*0.001))^2+ /*
*/ 0.05*(partq705/100-10/15+(3*0.001+4)/(3*0.001))^2+0.05*(partq706/100-10/18+(3*0.001+4)/(3*0.001))^2+ /*
*/ 0.05*(partq707/100-10/21+(3*0.001+4)/(3*0.001))^2+0.05*(partq708/100-10/24+(3*0.001+4)/(3*0.001))^2+ /*
*/ 0.05*(partq709/100-10/27+(3*0.001+4)/(3*0.001))^2+0.05*(partq710/100-1/3+(3*0.001+4)/(3*0.001))^2)/2 if q502==50 & seuil==0 & ErrAM==.

replace ErrAM=((1/(99.999/100-1)-seuil/100)^2+/*
*/ 0.05*(partq701/100-10/3+(1/3)*(2*q502/100+1)/(2*q502/100-1))^2+0.05*(partq702/100-10/6+(1/3)*(2*q502/100+1)/(2*q502/100-1))^2+ /*
*/ 0.05*(partq703/100-10/6+(1/3)*(2*q502/100+1)/(2*q502/100-1))^2+ 0.05*(partq704/100-10/12+(1/3)*(2*q502/100+1)/(2*q502/100-1))^2+ /*
*/ 0.05*(partq705/100-10/15+(1/3)*(2*q502/100+1)/(2*q502/100-1))^2+ 0.05*(partq706/100+10/18-(1/3)*(2*q502/100+1)/(2*q502/100-1))^2+ /*
*/ 0.05*(partq707/100-10/21+(1/3)*(2*q502/100+1)/(2*q502/100-1))^2+ 0.05*(partq708/100-10/24+(1/3)*(2*q502/100+1)/(2*q502/100-1))^2+ /*
*/ 0.05*(partq709/100-10/27-(1/3)*(2*q502/100+1)/(2*q502/100-1))^2+ 0.05*(partq710/100-1/3-(1/3)*(2*q502/100+1)/(2*q502/100-1))^2+ /*
*/ 0.05*(partq701/100-10/3+(3*seuil/100+4)/(3*seuil/100))^2+0.05*(partq702/100-10/6+(3*seuil/100+4)/(3*seuil/100))^2+ /*
*/ 0.05*(partq703/100-10/9+(3*seuil/100+4)/(3*seuil/100))^2+0.05*(partq704/100-10/12+(3*seuil/100+4)/(3*seuil/100))^2+ /*
*/ 0.05*(partq705/100-10/15+(3*seuil/100+4)/(3*seuil/100))^2+0.05*(partq706/100-10/18+(3*seuil/100+4)/(3*seuil/100))^2+ /*
*/ 0.05*(partq707/100-10/21+(3*seuil/100+4)/(3*seuil/100))^2+0.05*(partq708/100-10/24+(3*seuil/100+4)/(3*seuil/100))^2+ /*
*/ 0.05*(partq709/100-10/27+(3*seuil/100+4)/(3*seuil/100))^2+0.05*(partq710/100-1/3+(3*seuil/100+4)/(3*seuil/100))^2)/2 if q502==100 & ErrAM==.

replace ErrAM=((1/(99.999/100-1)-seuil/100)^2+/*
*/ 0.05*(partq701/100-10/3+(1/3)*(2*q502/100+1)/(2*q502/100-1))^2+0.05*(partq702/100-10/6+(1/3)*(2*q502/100+1)/(2*q502/100-1))^2+ /*
*/ 0.05*(partq703/100-10/6+(1/3)*(2*q502/100+1)/(2*q502/100-1))^2+ 0.05*(partq704/100-10/12+(1/3)*(2*q502/100+1)/(2*q502/100-1))^2+ /*
*/ 0.05*(partq705/100-10/15+(1/3)*(2*q502/100+1)/(2*q502/100-1))^2+ 0.05*(partq706/100+10/18-(1/3)*(2*q502/100+1)/(2*q502/100-1))^2+ /*
*/ 0.05*(partq707/100-10/21+(1/3)*(2*q502/100+1)/(2*q502/100-1))^2+ 0.05*(partq708/100-10/24+(1/3)*(2*q502/100+1)/(2*q502/100-1))^2+ /*
*/ 0.05*(partq709/100-10/27-(1/3)*(2*q502/100+1)/(2*q502/100-1))^2+ 0.05*(partq710/100-1/3-(1/3)*(2*q502/100+1)/(2*q502/100-1))^2+ /*
*/ 0.05*(partq701/100-10/3+(3*0.001+4)/(3*0.001))^2+0.05*(partq702/100-10/6+(3*0.001+4)/(3*0.001))^2+ /*
*/ 0.05*(partq703/100-10/9+(3*0.001+4)/(3*0.001))^2+0.05*(partq704/100-10/12+(3*0.001+4)/(3*0.001))^2+ /*
*/ 0.05*(partq705/100-10/15+(3*0.001+4)/(3*0.001))^2+0.05*(partq706/100-10/18+(3*0.001+4)/(3*0.001))^2+ /*
*/ 0.05*(partq707/100-10/21+(3*0.001+4)/(3*0.001))^2+0.05*(partq708/100-10/24+(3*0.001+4)/(3*0.001))^2+ /*
*/ 0.05*(partq709/100-10/27+(3*0.001+4)/(3*0.001))^2+0.05*(partq710/100-1/3+(3*0.001+4)/(3*0.001))^2)/2 if q502==100 & seuil==0 & ErrAM==.

edit id q502 seuil partq701 partq702 partq703 partq704 partq705 partq706 partq707 partq708 partq709 partq710 ErrAM if ErrAM==. & period==1

*gen ProbaAM=1/(1+exp(-ErrAM/21))

egen ErrAMMin=min(ErrAM)
egen ErrAMNax=max(ErrAM)
gen ErrAMNorm=(ErrAM-ErrAMMin)/(ErrAMNax-ErrAMMin)
drop ErrAMMin ErrAMNax

hist ErrAMNorm, kdensity

drop ErrERC ProbaERC
gen ErrERC=((q502/100-seuil/100)^2+ /*
*/ 0.05*(partq701/100-(2/3)*(1-(1-2*seuil/100)*((1+0.1)^2)/0.1))^2+0.05*(partq702/100-(2/3)*(1-(1-2*seuil/100)*((1+0.2)^2)/0.2))^2+ /*
*/ 0.05*(partq703/100-(2/3)*(1-(1-2*seuil/100)*((1+0.3)^2)/0.3))^2+0.05*(partq704/100-(2/3)*(1-(1-2*seuil/100)*((1+0.4)^2)/0.4))^2+ /*
*/ 0.05*(partq705/100-(2/3)*(1-(1-2*seuil/100)*((1+0.5)^2)/0.5))^2+0.05*(partq706/100-(2/3)*(1-(1-2*seuil/100)*((1+0.6)^2)/0.6))^2+ /*
*/ 0.05*(partq707/100-(2/3)*(1-(1-2*seuil/100)*((1+0.7)^2)/0.7))^2+0.05*(partq708/100-(2/3)*(1-(1-2*seuil/100)*((1+0.8)^2)/0.8))^2+ /*
*/ 0.05*(partq709/100-(2/3)*(1-(1-2*seuil/100)*((1+0.9)^2)/0.9))^2+0.05*(partq710/100-(2/3)*(1-(1-2*seuil/100)*((1+1.0)^2)/1.0))^2+ /*
*/ 0.05*(partq701/100-(2/3)*(1-(1-2*q502/100)*((1+0.1)^2)/0.1))^2+0.05*(partq702/100-(2/3)*(1-(1-2*q502/100)*((1+0.2)^2)/0.2))^2+ /*
*/ 0.05*(partq703/100-(2/3)*(1-(1-2*q502/100)*((1+0.3)^2)/0.3))^2+0.05*(partq704/100-(2/3)*(1-(1-2*q502/100)*((1+0.4)^2)/0.4))^2+ /*
*/ 0.05*(partq705/100-(2/3)*(1-(1-2*q502/100)*((1+0.5)^2)/0.5))^2+0.05*(partq706/100-(2/3)*(1-(1-2*q502/100)*((1+0.6)^2)/0.6))^2+/*
*/ 0.05*(partq707/100-(2/3)*(1-(1-2*q502/100)*((1+0.7)^2)/0.7))^2+0.05*(partq708/100-(2/3)*(1-(1-2*q502/100)*((1+0.8)^2)/0.8))^2+  /*
*/ 0.05*(partq709/100-(2/3)*(1-(1-2*q502/100)*((1+0.9)^2)/0.9))^2+0.05*(partq710/100-(2/3)*(1-(1-2*q502/100)*((1+1.0)^2)/1.0))^2)/2
*gen ProbaERC=1/(1+exp(-ErrERC/21))

egen ErrERCMin=min(ErrERC)
egen ErrERCNax=max(ErrERC)
gen ErrERCNorm=(ErrERC-ErrERCMin)/(ErrERCNax-ErrERCMin)
drop ErrERCMin ErrERCNax

hist ErrERCNorm, kdensity

pwcorr ErrEgoNorm ErrAINorm ErrAMNorm ErrERCNorm, star(0.05)

sum ErrEgo ErrAI ErrAM ErrERC
pwcorr ErrEgo ErrAI ErrAM ErrERC, star(0.05)
mvtest normality ErrEgo ErrAI ErrAM ErrERC
pca ErrEgo ErrAI ErrAM ErrERC
scoreplot, factors(2)

drop ProbaEgo ProbaAI ProbaAM ProbaERC

gen ProbaEgo=1/(1+exp(-ErrEgoNorm)+exp(-ErrAINorm)+exp(-ErrAMNorm)+exp(-ErrERCNorm))
gen ProbaAI=exp(-ErrAINorm)/(1+exp(-ErrAINorm)+exp(-ErrAINorm)+exp(-ErrAMNorm)+exp(-ErrERCNorm))
gen ProbaAM=exp(-ErrAMNorm)/(1+exp(-ErrAMNorm)+exp(-ErrAINorm)+exp(-ErrAMNorm)+exp(-ErrERCNorm))
gen ProbaERC=exp(-ErrERCNorm)/(1+exp(-ErrERCNorm)+exp(-ErrAINorm)+exp(-ErrAMNorm)+exp(-ErrERCNorm))

gen ProbaEgo=1/(1+exp(ErrEgo)+exp(ErrAI)+exp(ErrAM)+exp(ErrERC))
gen ProbaAI=exp(ErrAI)/(1+exp(ErrAI)+exp(ErrAI)+exp(ErrAM)+exp(ErrERC))
gen ProbaAM=exp(ErrAM)/(1+exp(ErrAM)+exp(ErrAI)+exp(ErrAM)+exp(ErrERC))
gen ProbaERC=exp(ErrERC)/(1+exp(ErrERC)+exp(ErrAI)+exp(ErrAM)+exp(ErrERC))

edit id  ErrEgo ProbaEgo  ErrAI ProbaAI  ErrAM ProbaAM  ErrERC  ProbaERC Social if period==1

sum ProbaEgo ProbaAI ProbaAM ProbaERC
pwcorr ProbaEgo ProbaAI ProbaAM ProbaERC, star(0.05)

drop Social
gen Social=.
*replace Social=1 if ProbaEgo==max(ProbaEgo,ProbaAI,ProbaAM,ProbaERC)
*replace Social=2 if ProbaAI==max(ProbaEgo,ProbaAI,ProbaAM,ProbaERC)
*replace Social=3 if ProbaAM==max(ProbaEgo,ProbaAI,ProbaAM,ProbaERC)
*replace Social=4 if ProbaERC==max(ProbaEgo,ProbaAI,ProbaAM,ProbaERC)

replace Social=1 if ErrEgo==min(ErrEgo,ErrAI,ErrAM,ErrERC)
replace Social=2 if ErrAI==min(ErrEgo,ErrAI,ErrAM,ErrERC)
replace Social=3 if ErrAM==min(ErrEgo,ErrAI,ErrAM,ErrERC)
replace Social=4 if ErrERC==min(ErrEgo,ErrAI,ErrAM,ErrERC)

replace Social=. if ErrEgo==. & ErrAI==. & ErrAM==. & ErrERC==. 
label variable Social "Preferences sociales"
label define SociaLab 1 "Rationalite egoiste" 2 "Averse  l'inquit" 3 "Alstruisme et malveillance" 4 "Equit, Reciprocit, Coopration", replace
label values Social SociaLab

tab Social if period==1

hist ErrEgo if Social==1, kdensity
hist ErrAI if Social==2, kdensity
hist ErrAM if Social==3, kdensity
hist ErrERC if Social==4, kdensity

hist ProbaEgo if Social==1, kdensity
hist ProbaAI if Social==2, kdensity
hist ProbaAM if Social==3, kdensity
hist ProbaERC if Social==4, kdensity

tabstat q502 seuil partq701 partq702 partq703 partq704 partq705 partq706 partq707 partq708 partq709 partq710 if period==1, statistics(count median  mean sd min max) by(Social) columns(statistics)

gen CoefAltruisme=.
replace CoefAltruisme=. if Social=2

gen CoefInequite=.
replace CoefInequite=seuil/(100-2*seuil) if Social=3

gen CoefERC=.
replace CoefERC=. if Social=4

*drop _clus_*
*cluster kmedians ErrAI ErrAM ErrERC if period==1, k(5) measure(L2) start(krandom) name(Social)
*cluster stop
*cluster stop, rule(calinski) groups(2/20) matrix(z)
*cluster dendrogram 
*tabstat ProbaEgo ProbaAI ProbaAM ProbaERC, statistics(count median  mean sd min max) by(_clus_2) columns(statistics)
*tabstat q502 seuil partq701, statistics(count median  mean sd min max) by(_clus_2) columns(statistics)

save "Jeu Bien public.dta", replace

********************************************************************************************
************************************ Fin du traitement *************************************
********************************************************************************************
